Subject: Re: [PANIC] lro + iscsi or lro + skb text search causes panic

From: Mike Christie <[email-masked]>
Date: Thu, 22 Jan 2009 16:49:40 -0600

Brandeburg, Jesse wrote:
> 
> skb_copy_bits is an example of the code flow that does work.
> 
> skb_seq_read appears to only be used by iSCSI and the skb text match 
> support in tc/netfilter (aka skb_find_text)
> 

There is no reason iscsi needs to use skb_seq_read. It used to use 
skb_copy_bits. I can convert iscsi to use skb_copy_bits again.

Is it easier to just convert the text search to not use skb_seq_read, 
and then just dump those functions?